# -*- Mode: Python; tab-width: 4 -*-

import windll
cstring = windll.cstring

ih = windll.module ('imagehlp')

def bind (filename, dll_path='', symbol_path=''):
	image_name = cstring (filename)
	dll_path = cstring (dll_path)
	symbol_path = cstring (symbol_path)
	return ih.BindImage (
		image_name,
		dll_path,
		symbol_path
		)

if __name__ == '__main__':
	import sys
	if len(sys.argv) < 2:
		print 'usage: %s <executable>' % (sys.argv[0])
		sys.exit(0)
	print 'result:', bind (sys.argv[1])
